﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;

namespace mont
{
    public partial class WPFWindow : Window
    {
        public WPFWindow()
        {
            InitializeComponent();

            List<Worker> listOfWorkers = new List<Worker>();
            listOfWorkers.Add(new Worker("Vivian", 22, "QA"));
            listOfWorkers.Add(new Worker("Andy", 23, "DS"));
            listOfWorkers.Add(new Worker("Peter", 24, "QA"));

            resultsGrid.ItemsSource = listOfWorkers;
        }
    }

    public class Worker
    {
        public Worker()
        {
        }

        public Worker(string name, int age, string job)
        {
            this.Name = name;
            this.Age = age;
            this.JobTitle = job;
        }

        public string Name { get; set; }
        public int Age { get; set; }
        public string JobTitle { get; set; }
    }
}
